#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice_trm.h>

/* ADC_cy_psoc4_sar */
#define ADC_cy_psoc4_sar__SAR_CTRL CYREG_SAR_CTRL
#define ADC_cy_psoc4_sar__SAR_INTR CYREG_SAR_INTR
#define ADC_cy_psoc4_sar__SAR_INTR_CAUSE CYREG_SAR_INTR_CAUSE
#define ADC_cy_psoc4_sar__SAR_INTR_MASK CYREG_SAR_INTR_MASK
#define ADC_cy_psoc4_sar__SAR_INTR_MASKED CYREG_SAR_INTR_MASKED
#define ADC_cy_psoc4_sar__SAR_INTR_SET CYREG_SAR_INTR_SET
#define ADC_cy_psoc4_sar__SAR_NUMBER 0u
#define ADC_cy_psoc4_sar__SAR_RANGE_COND CYREG_SAR_RANGE_COND
#define ADC_cy_psoc4_sar__SAR_RANGE_INTR_MASK CYREG_SAR_RANGE_INTR_MASK
#define ADC_cy_psoc4_sar__SAR_RANGE_INTR_MASKED CYREG_SAR_RANGE_INTR_MASKED
#define ADC_cy_psoc4_sar__SAR_RANGE_INTR_SET CYREG_SAR_RANGE_INTR_SET
#define ADC_cy_psoc4_sar__SAR_RANGE_THRES CYREG_SAR_RANGE_THRES
#define ADC_cy_psoc4_sar__SAR_SAMPLE_CTRL CYREG_SAR_SAMPLE_CTRL
#define ADC_cy_psoc4_sar__SAR_SAMPLE_TIME01 CYREG_SAR_SAMPLE_TIME01
#define ADC_cy_psoc4_sar__SAR_SAMPLE_TIME23 CYREG_SAR_SAMPLE_TIME23
#define ADC_cy_psoc4_sar__SAR_SATURATE_INTR_MASK CYREG_SAR_SATURATE_INTR_MASK
#define ADC_cy_psoc4_sar__SAR_SATURATE_INTR_MASKED CYREG_SAR_SATURATE_INTR_MASKED
#define ADC_cy_psoc4_sar__SAR_SATURATE_INTR_SET CYREG_SAR_SATURATE_INTR_SET

/* ADC_intClock */
#define ADC_intClock__DIVIDER_MASK 0x0000FFFFu
#define ADC_intClock__ENABLE CYREG_CLK_DIVIDER_A00
#define ADC_intClock__ENABLE_MASK 0x80000000u
#define ADC_intClock__MASK 0x80000000u
#define ADC_intClock__REGISTER CYREG_CLK_DIVIDER_A00

/* ADC_IRQ */
#define ADC_IRQ__INTC_CLR_EN_REG CYREG_CM0_ICER
#define ADC_IRQ__INTC_CLR_PD_REG CYREG_CM0_ICPR
#define ADC_IRQ__INTC_MASK 0x4000u
#define ADC_IRQ__INTC_NUMBER 14u
#define ADC_IRQ__INTC_PRIOR_MASK 0xC00000u
#define ADC_IRQ__INTC_PRIOR_NUM 3u
#define ADC_IRQ__INTC_PRIOR_REG CYREG_CM0_IPR3
#define ADC_IRQ__INTC_SET_EN_REG CYREG_CM0_ISER
#define ADC_IRQ__INTC_SET_PD_REG CYREG_CM0_ISPR

/* P1_0 */
#define P1_0__0__DM__MASK 0x07u
#define P1_0__0__DM__SHIFT 0
#define P1_0__0__DR CYREG_PRT1_DR
#define P1_0__0__HSIOM CYREG_HSIOM_PORT_SEL1
#define P1_0__0__HSIOM_MASK 0x0000000Fu
#define P1_0__0__HSIOM_SHIFT 0u
#define P1_0__0__INTCFG CYREG_PRT1_INTCFG
#define P1_0__0__INTSTAT CYREG_PRT1_INTSTAT
#define P1_0__0__MASK 0x01u
#define P1_0__0__OUT_SEL CYREG_UDB_PA1_CFG10
#define P1_0__0__OUT_SEL_SHIFT 0u
#define P1_0__0__OUT_SEL_VAL 2u
#define P1_0__0__PA__CFG0 CYREG_UDB_PA1_CFG0
#define P1_0__0__PA__CFG1 CYREG_UDB_PA1_CFG1
#define P1_0__0__PA__CFG10 CYREG_UDB_PA1_CFG10
#define P1_0__0__PA__CFG11 CYREG_UDB_PA1_CFG11
#define P1_0__0__PA__CFG12 CYREG_UDB_PA1_CFG12
#define P1_0__0__PA__CFG13 CYREG_UDB_PA1_CFG13
#define P1_0__0__PA__CFG14 CYREG_UDB_PA1_CFG14
#define P1_0__0__PA__CFG2 CYREG_UDB_PA1_CFG2
#define P1_0__0__PA__CFG3 CYREG_UDB_PA1_CFG3
#define P1_0__0__PA__CFG4 CYREG_UDB_PA1_CFG4
#define P1_0__0__PA__CFG5 CYREG_UDB_PA1_CFG5
#define P1_0__0__PA__CFG6 CYREG_UDB_PA1_CFG6
#define P1_0__0__PA__CFG7 CYREG_UDB_PA1_CFG7
#define P1_0__0__PA__CFG8 CYREG_UDB_PA1_CFG8
#define P1_0__0__PA__CFG9 CYREG_UDB_PA1_CFG9
#define P1_0__0__PC CYREG_PRT1_PC
#define P1_0__0__PC2 CYREG_PRT1_PC2
#define P1_0__0__PORT 1u
#define P1_0__0__PS CYREG_PRT1_PS
#define P1_0__0__SHIFT 0
#define P1_0__DR CYREG_PRT1_DR
#define P1_0__INTCFG CYREG_PRT1_INTCFG
#define P1_0__INTSTAT CYREG_PRT1_INTSTAT
#define P1_0__MASK 0x01u
#define P1_0__PA__CFG0 CYREG_UDB_PA1_CFG0
#define P1_0__PA__CFG1 CYREG_UDB_PA1_CFG1
#define P1_0__PA__CFG10 CYREG_UDB_PA1_CFG10
#define P1_0__PA__CFG11 CYREG_UDB_PA1_CFG11
#define P1_0__PA__CFG12 CYREG_UDB_PA1_CFG12
#define P1_0__PA__CFG13 CYREG_UDB_PA1_CFG13
#define P1_0__PA__CFG14 CYREG_UDB_PA1_CFG14
#define P1_0__PA__CFG2 CYREG_UDB_PA1_CFG2
#define P1_0__PA__CFG3 CYREG_UDB_PA1_CFG3
#define P1_0__PA__CFG4 CYREG_UDB_PA1_CFG4
#define P1_0__PA__CFG5 CYREG_UDB_PA1_CFG5
#define P1_0__PA__CFG6 CYREG_UDB_PA1_CFG6
#define P1_0__PA__CFG7 CYREG_UDB_PA1_CFG7
#define P1_0__PA__CFG8 CYREG_UDB_PA1_CFG8
#define P1_0__PA__CFG9 CYREG_UDB_PA1_CFG9
#define P1_0__PC CYREG_PRT1_PC
#define P1_0__PC2 CYREG_PRT1_PC2
#define P1_0__PORT 1u
#define P1_0__PS CYREG_PRT1_PS
#define P1_0__SHIFT 0

/* Miscellaneous */
/* -- WARNING: define names containing LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_DEBUG_PROTECT_OPEN 1
#define CYDEV_DEBUGGING_DPS_SWD 2
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_MEMBER_4A 2u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_DIE_PSOC4A 2u
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_PSOC4A
#define CYDEV_BCLK__HFCLK__HZ 24000000U
#define CYDEV_BCLK__HFCLK__KHZ 24000U
#define CYDEV_BCLK__HFCLK__MHZ 24U
#define CYDEV_BCLK__SYSCLK__HZ 24000000U
#define CYDEV_BCLK__SYSCLK__KHZ 24000U
#define CYDEV_BCLK__SYSCLK__MHZ 24U
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PANTHER 3u
#define CYDEV_CHIP_DIE_PSOC5LP 4u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC4
#define CYDEV_CHIP_JTAG_ID 0x04C81193u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_5A 3u
#define CYDEV_CHIP_MEMBER_5B 4u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_4A
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_4A_PRODUCTION
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_PSOC4A_PRODUCTION
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_READ_ACCELERATOR 1
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUG_PROTECT CYDEV_DEBUG_PROTECT_OPEN
#define CYDEV_DEBUG_PROTECT_KILL 4
#define CYDEV_DEBUG_PROTECT_PROTECTED 2
#define CYDEV_HEAP_SIZE 0x0100
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_STACK_SIZE 0x0400
#define CYDEV_USE_BUNDLED_CMSIS 1
#define CYDEV_VARIABLE_VDDA 0
#define CYDEV_VDDA 5
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5
#define CYDEV_VDDD_MV 5000
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
